# The Clipper Library - Version 6

Library Overview | Changes | Example | FAQ | Rounding | Deprecated | License

## Classes (Hierarchy)

ClipperBase

Clipper

ClipperOffset

PolyNode

PolyTree

## Types

CInt | InitOptions | JoinType | PolyFillType
ClipType | IntPoint | Path | PolyType
EndType | IntRect | Paths | ZFillCallback

## Functions

Area | ClosedPathsFromPolyTree | OffsetPaths | PointInPolygon | ReversePaths
CleanPolygon | MinkowskiDiff | OpenPathsFromPolyTree | PolyTreeToPaths | SimplifyPolygon
CleanPolygons | MinkowskiSum | Orientation | ReversePath | SimplifyPolygons

## Units

ClipperLib

Copyright ©2010-2014 Angus Johnson - Clipper 6.2.1 - Help file built on 1-November-2014